package po;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 主表 - 比赛子表 比赛授权关联表
 * </p>
 *
 * @author SPiCa
 * @since 2022-03-23
 */
@TableName("ta_tournament_assign")
@ApiModel(value = "TournamentAssign对象", description = "主表 - 比赛子表 比赛授权关联表")
public class TournamentAssignPO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("授权 - 主键id")
    private Integer assignId;

    @ApiModelProperty("外键 >> 比赛 - 主键id")
    private Integer tournamentId;

    @ApiModelProperty("外键 >> 用户 - 主键id【-1 所有人】")
    private Integer userId;

    @ApiModelProperty("权限 - 是否可访问")
    private Boolean authAccess;

    @ApiModelProperty("权限 - 是否可修改")
    private Boolean authEdit;

    @ApiModelProperty("权限 - 是否可删除")
    private Boolean authDelete;

    @ApiModelProperty("时间 - 权限有效时间【null 永久】")
    private LocalDateTime timeLimit;

    @ApiModelProperty("时间 - 创建时间")
    private LocalDateTime timeCreate;

    @ApiModelProperty("时间 - 修改时间")
    private LocalDateTime timeUpdate;

    @ApiModelProperty("权限 - 创建人")
    private Integer authorUserId;

    @ApiModelProperty("是否有效")
    private Integer isValid;

    public Integer getAssignId() {
        return assignId;
    }

    public void setAssignId(Integer assignId) {
        this.assignId = assignId;
    }
    public Integer getTournamentId() {
        return tournamentId;
    }

    public void setTournamentId(Integer tournamentId) {
        this.tournamentId = tournamentId;
    }
    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }
    public Boolean getAuthAccess() {
        return authAccess;
    }

    public void setAuthAccess(Boolean authAccess) {
        this.authAccess = authAccess;
    }
    public Boolean getAuthEdit() {
        return authEdit;
    }

    public void setAuthEdit(Boolean authEdit) {
        this.authEdit = authEdit;
    }
    public Boolean getAuthDelete() {
        return authDelete;
    }

    public void setAuthDelete(Boolean authDelete) {
        this.authDelete = authDelete;
    }
    public LocalDateTime getTimeLimit() {
        return timeLimit;
    }

    public void setTimeLimit(LocalDateTime timeLimit) {
        this.timeLimit = timeLimit;
    }
    public LocalDateTime getTimeCreate() {
        return timeCreate;
    }

    public void setTimeCreate(LocalDateTime timeCreate) {
        this.timeCreate = timeCreate;
    }
    public LocalDateTime getTimeUpdate() {
        return timeUpdate;
    }

    public void setTimeUpdate(LocalDateTime timeUpdate) {
        this.timeUpdate = timeUpdate;
    }
    public Integer getAuthorUserId() {
        return authorUserId;
    }

    public void setAuthorUserId(Integer authorUserId) {
        this.authorUserId = authorUserId;
    }
    public Integer getIsValid() {
        return isValid;
    }

    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }

    @Override
    public String toString() {
        return "TournamentAssign{" +
            "assignId=" + assignId +
            ", tournamentId=" + tournamentId +
            ", userId=" + userId +
            ", authAccess=" + authAccess +
            ", authEdit=" + authEdit +
            ", authDelete=" + authDelete +
            ", timeLimit=" + timeLimit +
            ", timeCreate=" + timeCreate +
            ", timeUpdate=" + timeUpdate +
            ", authorUserId=" + authorUserId +
            ", isValid=" + isValid +
        "}";
    }
}
